
Katello - Bug #6450

Hammer ping command returns wrong return code

06/30/2014 04:27 PM - Adam Price

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1094826 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1094826

Description of problem:

When running hammer ping command it is returning a non zero return code even if all services is ok

Version-Release number of selected component (if applicable):

1. hammer --version

hammer (0.1.0)  * hammer_cli_foreman (0.1.0)  * hammer_cli_katello (0.0.3)

How reproducible:

Aways

Steps to Reproduce:

1. Run hammer ping

2. Check if all services have the ok status

3. Run echo $? to read the return code

Actual results:

1. hammer ping

candlepin:

Status:          ok

Server Response: Duration: 24ms

candlepin_auth:

Status:          ok

Server Response: Duration: 26ms

pulp:

Status:          ok

Server Response: Duration: 16ms

pulp_auth:

Status:          ok

Server Response: Duration: 26ms

elasticsearch:

Status:          ok

Server Response: Duration: 28ms

katello_jobs:

Status:          ok

Server Response: Duration: 39ms

1. echo $?

1

Expected results:

1. hammer ping

candlepin:
Status:          ok

Server Response: Duration: 24ms

candlepin_auth:

Status:          ok

Server Response: Duration: 26ms

pulp:

Status:          ok

Server Response: Duration: 16ms

pulp_auth:

Status:          ok

Server Response: Duration: 26ms

elasticsearch:

Status:          ok

Server Response: Duration: 28ms

katello_jobs:

Status:          ok

Server Response: Duration: 39ms

1. echo $?

0

Additional info:

Associated revisions

Revision 3e193e56 - 07/01/2014 02:21 PM - Adam Price

fixes #6450 - server returns correctly summary status, BZ 1094826

Revision 1f33d938 - 07/02/2014 01:53 PM - Adam Price

Merge pull request #4370 from komidore64/rmi6450-hammer-ping-correct-exitstatus

fixes #6450 - server returns correctly summary status, BZ 1094826

History

#1 - 07/02/2014 02:01 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|3e193e56e0bd6555c9895b62bb68d28cdf24c9b7.

#2 - 07/07/2014 07:15 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 07/07/2014 07:35 AM - Eric Helms

- Target version set to 48

#4 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
